{ Invokable implementation File for TIEuroPoundSterling which implements IIEuroPoundSterling }

unit IEuroPoundSterlingImpl;

interface

uses InvokeRegistry, Types, XSBuiltIns, IEuroPoundSterlingIntf;

type

  { TIEuroPoundSterling }
  TIEuroPoundSterling = class(TInvokableClass, IIEuroPoundSterling)
  public
    function EuroToPound(Euro: Double): Double; stdcall;
    function PoundToEuro(Pound: Double): Double; stdcall;
  end;

implementation

{ TIEuroPoundSterling }

const
  EuroPerPoundSterling = 1.5;


function TIEuroPoundSterling.EuroToPound(Euro: Double): Double;
begin
  Result := Euro / EuroPerPoundSterling
end;

function TIEuroPoundSterling.PoundToEuro(Pound: Double): Double;
begin
  Result := Pound * EuroPerPoundSterling
end;

initialization
  { Invokable classes must be registered }
  InvRegistry.RegisterInvokableClass(TIEuroPoundSterling);

end.
